@Zef1rok

Как получить список участников на определённом сервере?

мой код:
@bot.command()
async def list(ctx, serv = None):
    memberss = discord.Guild.members
    await ctx.send(memberss)

Ошибка:
Ignoring exception in command list:
Traceback (most recent call last):
  File "C:\Python1\12344\venv\lib\site-packages\discord\ext\commands\core.py", line 85, in wrapped
    ret = await coro(*args, **kwargs)
  File "C:/Python1/12344/venv/134567890.py", line 233, in list
    memberss = ctx.Guild.members
AttributeError: 'Context' object has no attribute 'Guild'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Python1\12344\venv\lib\site-packages\discord\ext\commands\bot.py", line 939, in invoke
    await ctx.command.invoke(ctx)
  File "C:\Python1\12344\venv\lib\site-packages\discord\ext\commands\core.py", line 863, in invoke
    await injected(*ctx.args, **ctx.kwargs)
  File "C:\Python1\12344\venv\lib\site-packages\discord\ext\commands\core.py", line 94, in wrapped
    raise CommandInvokeError(exc) from exc
discord.ext.commands.errors.CommandInvokeError: Command raised an exception: AttributeError: 'Context' object has no attribute 'Guild'
  • Вопрос задан
  • 100 просмотров
Решения вопроса 1
commands.Context, который является типом аргумента ctx, передаваемый в команду первым аргументом, не имеет аттрибута Guild, но имеет аттрибут guild, который, вы скорее всего, и хотите использовать

https://discordpy.readthedocs.io/en/stable/ext/com...
Ответ написан
Пригласить эксперта
Ответы на вопрос 2
yupiter7575
@yupiter7575
Python программист
@alegzz
очевидно, вы имели ввиду discord.Guild.members, а подставляете discord.ext.commands.Context.Guild.members.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
06 мая 2021, в 02:32
4000 руб./за проект
06 мая 2021, в 02:17
15000 руб./за проект
06 мая 2021, в 01:23
15000 руб./за проект